%define uname	KoboDeluxe

Name:		kobodeluxe
Version:	0.5.1
Release:	%mkrel 18
Summary:	SDL port of Akira Higuchis game XKobo
License:	GPLv2+
Group:		Games/Arcade
URL:		https://www.olofson.net/kobodl/
Source0:	https://olofson.net/kobodl/download/%{uname}-%{version}.tar.bz2
Source1:	skobo-16.png
Source2:	skobo-32.png
Source3:	skobo-48.png
Patch2:		KoboDeluxe-0.4pre10-fix-segfault-in-midi.patch
Patch3:		04_enemies-pipe-decl.patch
Patch4:		skobo-0.5.1-gcc44.patch
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(glu)
Provides:	KoboDeluxe = %{version}
Provides:	skobo = %{version}
Obsoletes:	skobo < 0.5.1-8

%description
Kobo Deluxe is an enhanced version of Akira Higuchi's game XKobo for Un*x
systems with X11. Kobo Deluxe adds sound, smoother animation, high resolution
support, OpenGL acceleration (optional), an intuitive menu driven user
interface, joystick support and other features. Recent versions also add
a number of alternative skill levels with slightly modernized gameplay. Kobo
Deluxe uses SDL for graphics, sound and input, which makes it possible to
build and run the game on pretty much anything.

%prep
%setup -q -n %{uname}-%{version}
%patch -P 2 -p1
%patch -P 3 -p1 -b .debian
%patch -P 4 -p0 -b .gcc44

%build
# fix build on aarch64
autoreconf -vfi

%configure	--bindir=%{_gamesbindir} \
		--enable-opengl
%make_build kobo_scoredir=%{_localstatedir}/games/%{name}

%install
install -d %{buildroot}%{_localstatedir}/games/%{name}
%make_install kobo_scoredir=%{_localstatedir}/games/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Kobo Deluxe
Comment=Arcade video game
Exec=kobodl
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -D -m644 %SOURCE1 %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE2 %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE3 %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc COPYING* ChangeLog README* TODO
%attr(2755, root, games) %{_gamesbindir}/kobodl
%config(noreplace) %attr(775, root, games) %{_localstatedir}/games/%{name}
%{_datadir}/kobo-deluxe
%{_mandir}/man6/kobodl.6*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.5.1-18.mga10
+ Revision: 2231931
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.5.1-17.mga10
+ Revision: 2127695
- Rebuild for patchN deprecation

* Fri Apr 01 2022 umeabot <umeabot> 0.5.1-16.mga9
+ Revision: 1839386
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.5.1-15.mga8
+ Revision: 1513750
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-14.mga7
+ Revision: 1298610
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 0.5.1-13.mga7
+ Revision: 1235452
- fix build on aarch64

* Thu Feb 04 2016 umeabot <umeabot> 0.5.1-12.mga6
+ Revision: 935007
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-11.mga5
+ Revision: 745902
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-10.mga5
+ Revision: 681147
- Mageia 5 Mass Rebuild

* Sun May 18 2014 akien <akien> 0.5.1-9.mga5
+ Revision: 623502
- Fix obsolete for skobo

* Tue Mar 11 2014 akien <akien> 0.5.1-8.mga5
+ Revision: 602482
- Remove obsolete gcc4 patch
- Update description from upstream
- Rename package to kobodeluxe
- Rename skobo to kobodeluxe, as upstream did

* Fri Oct 18 2013 umeabot <umeabot> 0.5.1-7.mga4
+ Revision: 518305
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5.1-6.mga3
+ Revision: 382129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 26 2011 wally <wally> 0.5.1-5.mga1
+ Revision: 91825
- fix desktop file name (mga#954)
- fix license
- drop buildroot definition

* Thu Mar 17 2011 steletch <steletch> 0.5.1-4.mga1
+ Revision: 73455
- Clean spec file
- imported package skobo

